# 数据模型

> 数据模型依照关系型数据库进行设计

## 菜单实体(`menu`)

| 字段        | 中文说明 | 字段类型 | 备注          |
| ----------- | -------- | -------- | ------------- |
| record_id   | 记录 ID  | 字符串   |               |
| name        | 菜单名称 | 字符串   |               |
| sequence    | 排序值   | 数值     |               |
| icon        | 图标     | 字符串   |               |
| router      | 访问路由 | 字符串   |               |
| memo        | 备注     | 字符串   |               |
| show_status | 显示状态 | 数值     | 1:显示 2:隐藏 |
| status      | 状态     | 数值     | 1:启用 2:禁用 |
| parent_id   | 父级 ID  | 字符串   |               |
| parent_path | 父级路径 | 字符串   |               |
| creator     | 创建人   | 字符串   |               |
| created_at  | 创建时间 | 时间格式 |               |
| updated_at  | 更新时间 | 时间格式 |               |
| deleted_at  | 删除时间 | 时间格式 |               |

## 菜单动作关联实体(`menu_action`)

| 字段       | 中文说明 | 字段类型 | 备注 |
| ---------- | -------- | -------- | ---- |
| record_id  | 记录 ID  | 字符串   |      |
| menu_id    | 菜单 ID  | 字符串   |      |
| code       | 动作编号 | 字符串   |      |
| name       | 动作名称 | 字符串   |      |
| created_at | 创建时间 | 时间格式 |      |
| updated_at | 更新时间 | 时间格式 |      |
| deleted_at | 删除时间 | 时间格式 |      |

## 菜单动作与资源关联实体(`menu_action_resource`)

| 字段       | 中文说明     | 字段类型 | 备注 |
| ---------- | ------------ | -------- | ---- |
| record_id  | 记录 ID      | 字符串   |      |
| action_id  | 动作 ID      | 字符串   |      |
| method     | 资源请求方式 | 字符串   |      |
| path       | 资源请求路径 | 字符串   |      |
| created_at | 创建时间     | 时间格式 |      |
| updated_at | 更新时间     | 时间格式 |      |
| deleted_at | 删除时间     | 时间格式 |      |

## 角色实体(`role`)

| 字段       | 中文说明 | 字段类型 | 备注          |
| ---------- | -------- | -------- | ------------- |
| record_id  | 记录 ID  | 字符串   |               |
| name       | 角色名称 | 字符串   |               |
| sequence   | 排序值   | 数值     |               |
| memo       | 备注     | 字符串   |               |
| status     | 状态     | 数值     | 1:启用 2:禁用 |
| creator    | 创建人   | 字符串   |               |
| created_at | 创建时间 | 时间格式 |               |
| updated_at | 更新时间 | 时间格式 |               |
| deleted_at | 删除时间 | 时间格式 |               |

## 角色菜单关联实体(`role_menu`)

| 字段       | 中文说明 | 字段类型 | 备注 |
| ---------- | -------- | -------- | ---- |
| record_id  | 记录 ID  | 字符串   |      |
| role_id    | 角色 ID  | 字符串   |      |
| menu_id    | 菜单 ID  | 字符串   |      |
| action_id  | 动作 ID  | 字符串   |      |
| created_at | 创建时间 | 时间格式 |      |
| updated_at | 更新时间 | 时间格式 |      |
| deleted_at | 删除时间 | 时间格式 |      |

## 用户实体(`user`)

| 字段          | 中文说明   | 字段类型 | 备注          |
| ------------- | ---------- | -------- | ------------- |
| record_id     | 记录 ID    | 字符串   |               |
| user_name     | 登录用户名 | 字符串   |               |
| password      | 登录密码   | 字符串   |               |
| password_salt | 密码盐值   | 字符串   |               |
| real_name     | 真实姓名   | 字符串   |               |
| email         | 邮箱       | 字符串   |               |
| phone         | 手机号     | 字符串   |               |
| status        | 状态       | 数值     | 1:启用 2:禁用 |
| creator       | 创建人     | 字符串   |               |
| created_at    | 创建时间   | 时间格式 |               |
| updated_at    | 更新时间   | 时间格式 |               |
| deleted_at    | 删除时间   | 时间格式 |               |

## 用户角色关联实体(`user_role`)

| 字段       | 中文说明 | 字段类型 | 备注 |
| ---------- | -------- | -------- | ---- |
| record_id  | 记录 ID  | 字符串   |      |
| user_id    | 用户 ID  | 字符串   |      |
| role_id    | 角色 ID  | 字符串   |      |
| created_at | 创建时间 | 时间格式 |      |
| updated_at | 更新时间 | 时间格式 |      |
| deleted_at | 删除时间 | 时间格式 |      |
